<!doctype html>
<html class="no-js h-100" lang="en" xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>[[#{app.name}]]</title>
    <meta name="description" content="COVID19 Tracker, nCoV Tracker, Coronavirus Tracker">
    <link rel="shortcut icon" href="favicon.ico" type="image/x-icon">
    <link rel="icon" href="favicon.ico" type="image/x-icon">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link href="https://use.fontawesome.com/releases/v5.0.6/css/all.css" rel="stylesheet">
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
    <link rel="stylesheet" id="main-stylesheet" data-version="1.1.0" href="styles/shards-dashboards.1.1.0.min.css">
    <link rel="stylesheet" href="styles/extras.1.1.0.min.css">
    <script async defer src="https://buttons.github.io/buttons.js"></script>
  </head>
  <body class="h-100">
    <div class="container-fluid">
      <div class="row">
        <main class="main-content col-lg-12 col-md-12 col-sm-12 p-0">
          <div class="sticky-top bg-white">
            <!-- Main Navbar -->
            <nav class="navbar navbar-expand-lg navbar-light flex-md-nowrap pt-0 pb-0">
              <a class="navbar-brand" th:href="@{/}"><img src="images/covid19-tracker-logo.png" alt="COVID19 Tracker" />[[#{app.name}]]</a>
            </nav>
          </div>
          <!-- / .main-navbar -->
          <div class="main-content-container container-fluid px-4">
            <!-- Page Header -->
            <div class="page-header row no-gutters py-4">
              <div class="col-12 col-sm-4 text-center text-sm-left mb-0">
                <span class="text-uppercase page-subtitle">Dashboard</span>
                <h3 class="page-title">[[#{country.italy}]]</h3>
              </div>
            </div>
            <!-- End Page Header -->
            <!-- Small Stats Blocks -->
            <div class="row">
              <div class="col-lg-3 col-md-6 col-sm-6 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{totalCases}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].totalCases, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(totalCasesPercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].totalCases-countryData[1].totalCases, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${totalCasesPercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].totalCases-countryData[1].totalCases, 1, 'DEFAULT')}]] ([[${totalCasesPercentageChange}]]%)</span>
                        <span th:if="${totalCasesPercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].totalCases-countryData[1].totalCases, 1, 'DEFAULT')}]] ([[${totalCasesPercentageChange}]]%)</span>
                        <span th:if="${totalCasesPercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-increase">[[${#numbers.formatInteger(countryData[0].totalCases-countryData[1].totalCases, 1, 'DEFAULT')}]] ([[${totalCasesPercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-1"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6 col-sm-6 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{currentPositive}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].currentPositive, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${currentPositivePercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].currentPositive-countryData[1].currentPositive, 1, 'DEFAULT')}]] ([[${currentPositivePercentageChange}]]%)</span>
                        <span th:if="${currentPositivePercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].currentPositive-countryData[1].currentPositive, 1, 'DEFAULT')}]] ([[${currentPositivePercentageChange}]]%)</span>
                        <span th:if="${currentPositivePercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-increase">[[${#numbers.formatInteger(countryData[0].currentPositive-countryData[1].currentPositive, 1, 'DEFAULT')}]] ([[${currentPositivePercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-2"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6 col-sm-6 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{death}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].death, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(deathPercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].death-countryData[1].death, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${deathPercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].death-countryData[1].death, 1, 'DEFAULT')}]] ([[${deathPercentageChange}]]%)</span>
                        <span th:if="${deathPercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].death-countryData[1].death, 1, 'DEFAULT')}]] ([[${deathPercentageChange}]]%)</span>
                        <span th:if="${deathPercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-decrease">[[${#numbers.formatInteger(countryData[0].death-countryData[1].death, 1, 'DEFAULT')}]] ([[${deathPercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-3"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-3 col-md-6 col-sm-6 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{recovered}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].recovered, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(recoveredPercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].recovered-countryData[1].recovered, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${recoveredPercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].recovered-countryData[1].recovered, 1, 'DEFAULT')}]] ([[${recoveredPercentageChange}]]%)</span>
                        <span th:if="${recoveredPercentageChange > 0}" class="stats-small__percentage stats-small__percentage--positive-increase">[[${#numbers.formatInteger(countryData[0].recovered-countryData[1].recovered, 1, 'DEFAULT')}]] ([[${recoveredPercentageChange}]]%)</span>
                        <span th:if="${recoveredPercentageChange < 0}" class="stats-small__percentage stats-small__percentage--negative-decrease">[[${#numbers.formatInteger(countryData[0].recovered-countryData[1].recovered, 1, 'DEFAULT')}]] ([[${recoveredPercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-4"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{intensiveCare}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].intensiveCare, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(intensiveCarePercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].intensiveCare-countryData[1].intensiveCare, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${intensiveCarePercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].intensiveCare-countryData[1].intensiveCare, 1, 'DEFAULT')}]] ([[${intensiveCarePercentageChange}]]%)</span>
                        <span th:if="${intensiveCarePercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].intensiveCare-countryData[1].intensiveCare, 1, 'DEFAULT')}]] ([[${intensiveCarePercentageChange}]]%)</span>
                        <span th:if="${intensiveCarePercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-decrease">[[${#numbers.formatInteger(countryData[0].intensiveCare-countryData[1].intensiveCare, 1, 'DEFAULT')}]] ([[${intensiveCarePercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-5"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{hospitalisedWithSymptoms}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].hospitalisedWithSymptoms, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(hospitalisedWithSymptomsPercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].hospitalisedWithSymptoms-countryData[1].hospitalisedWithSymptoms, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${hospitalisedWithSymptomsPercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].hospitalisedWithSymptoms-countryData[1].hospitalisedWithSymptoms, 1, 'DEFAULT')}]] ([[${hospitalisedWithSymptomsPercentageChange}]]%)</span>
                        <span th:if="${hospitalisedWithSymptomsPercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].hospitalisedWithSymptoms-countryData[1].hospitalisedWithSymptoms, 1, 'DEFAULT')}]] ([[${hospitalisedWithSymptomsPercentageChange}]]%)</span>
                        <span th:if="${hospitalisedWithSymptomsPercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-decrease">[[${#numbers.formatInteger(countryData[0].hospitalisedWithSymptoms-countryData[1].hospitalisedWithSymptoms, 1, 'DEFAULT')}]] ([[${hospitalisedWithSymptomsPercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-6"></canvas>
                  </div>
                </div>
              </div>
              <div class="col-lg-4 col-md-4 col-sm-4 mb-4">
                <div class="stats-small stats-small--1 card card-small">
                  <div class="card-body p-0 d-flex">
                    <div class="d-flex flex-column m-auto">
                      <div class="stats-small__data text-center">
                        <span class="stats-small__label text-uppercase">[[#{homeConfinement}]]</span>
                        <h6 class="stats-small__value count my-3">[[${#numbers.formatInteger(countryData[0].homeConfinement, 1, 'DEFAULT')}]]</h6>
                      </div>
                      <div class="stats-small__data">
                        <span th:if="${T(java.lang.Double).isNaN(homeConfinementPercentageChange)}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].homeConfinement-countryData[1].homeConfinement, 1, 'DEFAULT')}]] (N/A)</span>
                        <span th:if="${homeConfinementPercentageChange == 0}" class="stats-small__percentage">[[${#numbers.formatInteger(countryData[0].homeConfinement-countryData[1].homeConfinement, 1, 'DEFAULT')}]] ([[${homeConfinementPercentageChange}]]%)</span>
                        <span th:if="${homeConfinementPercentageChange > 0}" class="stats-small__percentage stats-small__percentage--negative-increase">[[${#numbers.formatInteger(countryData[0].homeConfinement-countryData[1].homeConfinement, 1, 'DEFAULT')}]] ([[${homeConfinementPercentageChange}]]%)</span>
                        <span th:if="${homeConfinementPercentageChange < 0}" class="stats-small__percentage stats-small__percentage--positive-decrease">[[${#numbers.formatInteger(countryData[0].homeConfinement-countryData[1].homeConfinement, 1, 'DEFAULT')}]] ([[${homeConfinementPercentageChange}]]%)</span>
                      </div>
                    </div>
                    <canvas height="120" class="blog-overview-stats-small-7"></canvas>
                  </div>
                </div>
              </div>
            </div>
            <!-- End Small Stats Blocks -->

            <div class="row">
              <!-- Current New Positive Stats -->
              <div class="col-lg-12 col-md-12 col-sm-12 mb-4">
                <div class="card card-small">
                  <div class="card-header border-bottom">
                    <h6 class="m-0">[[#{trend}]] <small>([[#{date.last14days}]])</small></h6>
                  </div>
                  <div class="card-body pt-0">
                    <canvas height="130" style="max-width: 100% !important" class="positive-recovered-death-cases"></canvas>
                  </div>
                </div>
              </div>
              <!-- End Current New Positive Stats -->
            </div>
            <div class="row">
              <!-- Current New Positive -->
              <div class="col-lg-6 col-md-12 col-sm-12 mb-4">
                <div class="card card-small">
                  <div class="card-header border-bottom">
                    <h6 class="m-0">[[#{currentNewPositive}]] <small>([[#{date.last14days}]])</small></h6>
                  </div>
                  <div class="card-body pt-0">
                    <canvas height="200" style="max-width: 100% !important;" class="current-new-positive-cases"></canvas>
                  </div>
                </div>
              </div>
              <!-- End Current New Positive -->
              <!-- Positive by treatment -->
              <div class="col-lg-6 col-md-12 col-sm-12 mb-4">
                <div class="card card-small">
                  <div class="card-header border-bottom">
                    <h6 class="m-0">[[#{positive.by.treatment}]] <small>([[#{date.last14days}]])</small></h6>
                  </div>
                  <div class="card-body pt-0">
                    <canvas height="200" style="max-width: 100% !important;" class="positive-by-treatment"></canvas>
                  </div>
                </div>
              </div>
              <!-- End Positive by treatment -->
            </div>
            <div class="row">
              <!-- Cases by region -->
              <div class="col-lg-12 col-md-12 col-sm-12 mb-4">
                <div class="card card-small h-100">
                  <div class="card-header border-bottom">
                    <h6 class="m-0">[[#{cases.by.region}]] <small>([[#{date.last.report}]])</small></h6>
                  </div>
                  <div class="card-body d-flex py-0">
                    <canvas height="130" class="new-positive-by-region"></canvas>
                  </div>
                </div>
              </div>
              <!-- End Cases by region -->
            </div>

            <!-- Default Light Table -->
            <div class="row">
              <div class="col">
                <div class="card card-small mb-4">
                  <div class="card-header border-bottom">
                    <h6 class="m-0">[[#{regions}]]</h6>
                  </div>
                  <div class="card-body p-0 pb-3 text-center">
                    <table class="table table-sm mb-0">
                      <thead class="bg-light">
                      <tr>
                        <th scope="col" class="border-0">[[#{region}]]</th>
                        <th scope="col" class="border-0">[[#{totalCases}]]</th>
                        <th scope="col" class="border-0">[[#{currentPositive}]]</th>
                        <th scope="col" class="border-0">[[#{death}]]</th>
                        <th scope="col" class="border-0">[[#{recovered}]]</th>
                      </tr>
                      </thead>
                      <tbody>
                      <tr th:each="region : ${regionData}">
                        <td>
                          <a th:href="@{'/region/' + ${region.regionCode}}">[[${region.regionName}]]</a>
                        </td>
                        <td>[[${#numbers.formatInteger(region.totalCases, 1, 'DEFAULT')}]]</td>
                        <td>[[${#numbers.formatInteger(region.currentPositive, 1, 'DEFAULT')}]]</td>
                        <td>[[${#numbers.formatInteger(region.death, 1, 'DEFAULT')}]]</td>
                        <td>[[${#numbers.formatInteger(region.recovered, 1, 'DEFAULT')}]]</td>
                      </tr>
                      </tbody>
                    </table>
                  </div>
                </div>
              </div>
            </div>
            <!-- End Default Light Table -->
          </div>
          <footer class="main-footer d-flex p-2 px-3 bg-white border-top">
            <div class="my-auto ml-2 text-center">
              <span>Find me on <a href="https://linkedin.com/in/antoniodvr" target="_blank" class="social-icon fab fa-linkedin"></a> and <a href="https://github.com/antoniodvr" target="_blank" class="social-icon fab fa-github"></a></span>
            </div>
            <span class="copyright ml-auto my-auto mr-2">Copyright © 2021
              <a href="https://linkedin.com/in/antoniodvr" target="_blank" rel="nofollow">Antonio Di Virgilio</a>
            </span>
          </footer>
        </main>
      </div>
    </div>

    <script th:inline="javascript">
        var timeSeries = [[${timeSeries}]];
        var totalCasesSeries = [[${totalCasesSeries}]];
        var currentPositiveCasesSeries = [[${currentPositiveCasesSeries}]];
        var currentNewPositiveCasesSeries = [[${currentNewPositiveCasesSeries}]];
        var deathCasesSeries = [[${deathCasesSeries}]];
        var recoveredCasesSeries = [[${recoveredCasesSeries}]];
        var testPerformedCasesSeries = [[${testPerformedCasesSeries}]];
        var intensiveCareCasesSeries = [[${intensiveCareCasesSeries}]];
        var hospitalisedWithSymptomsCasesSeries = [[${hospitalisedWithSymptomsCasesSeries}]];
        var homeConfinementCasesSeries = [[${homeConfinementCasesSeries}]];

        var newPositiveByRegionSeries = [[${newPositiveByRegionSeries}]];
        var recoveredByRegionSeries = [[${recoveredByRegionSeries}]];
        var deathByRegionSeries = [[${deathByRegionSeries}]];
        var newPositiveByRegionLabels = [[${newPositiveByRegionLabels}]];

        var currentPositiveLabel = [[#{currentPositive}]];
        var currentNewPositiveLabel = [[#{currentNewPositive}]];
        var deathLabel = [[#{death}]];
        var intensiveCareLabel = [[#{intensiveCare}]];
        var hospitalisedWithSymptomsLabel = [[#{hospitalisedWithSymptoms}]];
        var homeConfinementLabel = [[#{homeConfinement}]];
        var recoveredLabel = [[#{recovered}]];
    </script>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.7.1/Chart.min.js"></script>
    <script src="https://unpkg.com/shards-ui@latest/dist/js/shards.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Sharrre/2.0.1/jquery.sharrre.min.js"></script>
    <script src="scripts/extras.1.1.0.min.js"></script>
    <script src="scripts/shards-dashboards.1.1.0.min.js"></script>
    <script src="scripts/app/chart-common.1.1.0.js"></script>
    <script src="scripts/app/chart-index.1.1.0.js"></script>
  </body>
</html>